Subject: bug#33901: 26.1; cl-letf is unexpectedly not autoloaded

From: Markus Triska <[email-masked]>
Date: Sat, 29 Dec 2018 12:38:53 +0100

Andreas Schwab <[email-masked]> writes:

> Those autoloads are only defined in the cl-macs package.  You need to
> load it first.

Is this really the intended way? I mean, why is this described as an
"autoloaded" macro then? From the manual, I gather:

    The “autoload” feature allows you to call a function or macro whose
    function definition has not yet been loaded into Emacs.  It specifies
    which file contains the definition.  When an autoload object appears as
    a symbol’s function definition, calling that symbol as a function
    automatically loads the specified file; then it calls the real ...

If I have to load cl-macs before using cl-letf, it seems to be as good
as not having an autoload for it at all. Is there any advantage to this?